Subject: Summary: Problems with overwrite and delete

From: Harald Volz <[email-masked]>
Date: Thu, 05 Feb 1998 16:08:24 +0100

Just for your archive:

I had activated PARANOID (#define PARANOID), don't know why (maybe
because I'm a security fanatic?)
without PARANOID overwrite and delete make no problems.

Thanks to Subu Rama you gave the hint to PARANOID

regards,
harald

______________________________________________________
The original question was:

Hi,
I'm not a member of the list so please answer directly

I'm using
(Version wu-2.4.2-academ[BETA-16](1) Tue Jan 27 13:49:28 MET 1998)
on DigitalUnix 3.2d without C2
normal users can upload a file to their directories but not delete or
overwrite it:

ftp> put test
200 PORT command successful.
150 Opening BINARY mode data connection for test.
226 Transfer complete.
5 bytes sent in 0 seconds (0.0049 Kbytes/s)
ftp> put test
200 PORT command successful.
553 test: Permission denied. (Overwrite)
ftp> delete test
553 test: Permission denied. (Delete)
ftp> 

I'm using a ftpaccess file and no anonymous access is allowed

class   all   real,guest  *

deny !nameserved /etc/ftpd/nodns.msg

limit   all   10   Any              /etc/ftpd/msg.dead

readme  README*    login
readme  README*    cwd=*

banner  /etc/ftpd/ftp.banner

message /welcome.msg            login
message .message                cwd=*

compress        yes             all 
tar             yes             all 

log commands real
log transfers anonymous,real inbound,outbound

shutdown /etc/ftpd/shutmsg

delete no guest
delete yes real 
overwrite yes real
chmod no guest
overwrite no guest
rename no guest
umask no guest

why can't a user do an overwrite?

any help welcome

harald

-- 
__________________________________________________
                Harald Volz
    - Netzwerk- und Systemadministration -
 Max-Planck-Institut f. Biologische Kybernetik
               Spemannstr. 38
              D- 72076 Tuebingen
    Tel: ++49 (0)7071 601-511 
    Fax: ++49 (0)7071 601-616 (o. -575)
    [email-masked]    (official emails) 
    [email-masked] (private emails)
___________________________________________________